Redmine - Defect #13000

Links to revisions not replaced after incorrect revision
2013-01-28 00:48 - Arnis Juraga

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 222
Description

| am using version 2.2.0, but the problem is in redmine.org current version also).
| can reproduce it here:

This is real revision: r11281 (link works fine)

This is NOT REAL revision, just bulk data: commit:r1445535 (not linking, of course, as this is not real revision)

And now again: this is real revision: r11281 (and You see - revision is not replaced anymore and any further.)

r11281 r11281 r11281
source:some/file - does not work yet.

But If you specify project:
redmine:source:some/file - then it works,
And revisions works again! )

r11281

Related issues:
Is duplicate of Redmine - Defect #12930: 404 Error when referencing different... Closed

History

#1 - 2013-01-28 04:20 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Invalid

rNNN is for revision number (Subversion and Mercurial revision number).
commit:abcdef is for hash id (Git revision hash and Mercurial revision number).

#2 - 2013-01-28 04:21 - Toshi MARUYAMA
- Status changed from Closed to Reopened

- Resolution deleted (Invalid)

#3 - 2013-01-28 04:22 - Toshi MARUYAMA

- Status changed from Reopened to Needs feedback

#4 - 2013-01-28 04:26 - Toshi MARUYAMA

r11281 r11281 r11281
source:some/file - work

#5 - 2013-01-28 04:29 - Toshi MARUYAMA

- Status changed from Needs feedback to Confirmed

#6 - 2013-01-29 19:25 - Jean-Philippe Lang
- Status changed from Confirmed to Closed

- Resolution set to Duplicate

2025-07-01

1/2



https://www.redmine.org/projects/redmine/repository/svn/revisions/11281
https://www.redmine.org/projects/redmine/repository/svn/revisions/11281
https://www.redmine.org/projects/redmine/repository/svn/revisions/11281
https://www.redmine.org/projects/redmine/repository/svn/revisions/11281
https://www.redmine.org/projects/redmine/repository/svn/revisions/11281
https://www.redmine.org/projects/redmine/repository/svn/entry/some/file
https://www.redmine.org/projects/redmine/repository/svn/entry/some/file
https://www.redmine.org/projects/redmine/repository/svn/revisions/11281
https://www.redmine.org/projects/redmine/repository/svn/revisions/11281
https://www.redmine.org/projects/redmine/repository/svn/revisions/11281
https://www.redmine.org/projects/redmine/repository/svn/revisions/11281
https://www.redmine.org/projects/redmine/repository/svn/entry/some/file

I'm closing it as duplicate of #12930. The fix solves this issue as well. Note that commit:r1445535 is not a valid tag, commit is interpreted as a project
identifier. The correct syntax is r1445535 or commit:1445535 (without the r).
